Subject: X2Go issue (in src:x2goclient) has been marked as closed

From: X2Go Release Manager <[email-masked]>
Date: Tue, 28 Jul 2015 04:50:06 +0200 (CEST)

close #911
thanks

Hello,

we are very hopeful that X2Go issue #911 reported by you
has been resolved in the new release (4.0.5.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4caef96a30c62c24a2077fd003e0a5f238885b17;hp=301b58ced7f1591476af7a50d2c759deea9895d1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.0-0x2go1
Status: RELEASE
Date: Tue, 28 Jul 2015 04:48:20 +0200
Fixes: 696 882 901 909 911
Changes: 
 x2goclient (4.0.5.0-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.0):
     - INSTALL: add more verbose instructions on how to build X2Go Client and
       friends.
     - onmainwindow.{cpp,h}: rename slotScDaemonOut() and slotScDaemonError()
       to slotScDaemonStdOut() and slotScDaemonStdErr(). I will need
       slotScDaemonError() later and the previous names were a bit of a
       misnomer.
     - x2goutils.{cpp,h}: add new show_RichText_Generic_MsgBox() main function
       designed to replace the show_RichText_WarningMsgBox() function.
     - x2goutils.{cpp,h}: make show_RichText_WarningMsgBox() use
       show_RichText_Generic_MsgBox ().
     - x2goutils.{cpp,h}: new show_RichText_ErrorMsgBox() function as a wrapper
       for show_RichText_Generic_MsgBox() with a critical icon.
     - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
       and close the client.
     - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
       starting scdaemon. Fixes: #882.
     - x2goutils.h: add QMessageBox include, fixed compile error.
     - onmainwindow.cpp: fix typos leading to compile errors.
     - onmainwindow.cpp: add blocks to switch cases to fix a compile error.
       Also correctly append to informative_text on one occasion, instead of
       overwriting it.
     - x2goutils.cpp: correct typo to fix compile errors.
     - onmainwindow.cpp: drop a redundant variable and fix empty env check.
     - onmainwindow.cpp: add more newlines to scdaemon error output. Use
       trayQuit() method to really quit the client.
     - onmainwindow.cpp: add debugging output for new scdaemon PATH value.
     - onmainwindow.cpp: split up PATH value as printed in the error message
       box by a newline every 100 characters. Makes it look less ugly and fixes
       truncation issues.
     - sshprocess.cpp: export PATH variable when running commands. Otherwise,
       only the first one will respect the new PATH value.
     - sshprocess.cpp: wrap SSH command prelude and conclusion in double
       quotes.
     - sshprocess.cpp: wrap all remote commands with "bash" instead of the
       unspecific "sh".
     - onmainwindow.cpp: try to escape shell quotes correctly when using
       Kerberos/GSSApi when running the xmodmap keyboard sync command on OS X.
     - onmainwindow.cpp: also escape other shell quotes when using
       Kerberos/GSSApi.
     - onmainwindow.cpp: silence compiler warning by casting an int value to
       std::size_t.
     - onmainwindow.cpp: silence another compiler warning by not converting
       from string to int and back to string needlessly. Just use the string.
       No need for an OS X-specific variable anymore.
     - onmainwindow.cpp: fix compile error - use QString.toAscii () to get a
       valid C string representation for tr ().
     - onmainwindow.cpp: don't terminate if scdaemon exited with non-zero exit
       code.
     - sshprocess.cpp: don't use QProcess::start (QString). Qt is trying to be
       too smart and causes big trouble. Instead, use QProcess::start (QString,
       QStringList) and pass the arguments as a list. On Windows, Qt will
       automatically double quote the arguments and duplicate escaped double
       quotes or escape non-escaped double quotes. On UNIX-like platforms, each
       element of the list is passed as a unique argv element, so there's no
       need for quoting them (that's only a shell-internal thing to group
       arguments.)
     - sshprocess.cpp: add a bit more debugging - also print out the unmodified
       raw output of SSH commands.
     - onmainwindow.cpp: remove now-bogus double quote escaping.
     - sshmasterconnection.cpp: port QProcess::start () change.
     - sshprocess.cpp: whitespace/prettify only and a compile fix.
     - x2goclient.pro: reinstate old lrelease "search" behavior if
       qtPrepareTool() is not available. This should only happen on EPEL 6,
       which ships a broken Qt4 version...
     - onmainwindow.cpp: only set multidisplay mode for non-rootless sessions.
     - {ui/xsettingsui.ui,xsettingswidget.cpp}: add new "whole display" option
       for external X server configuration. Part of #883.
     - onmainwindow.cpp: rename "optionsmd" setting to "optionswholedisplay",
       which is more clear.
     - xsettingswidget.cpp: fix compile error: settings -> setting.
     - sessionmanagedialog.cpp: enable some debugging and make selected
       sessions configureable or deletable. Fixes: #909.
 .
   [ Mike Gabriel ]
   * debian/control:
     + Add alternative D for nxproxy: qvd-nxproxy. Allows parallel installation
       of X2Go Client and the TheQVD client (perl-qvd-client).
 .
   [ Mike DePaulo ]
     - Windows: Update bundled Win32 OpenSSL from 1.0.1m to 1.0.1p,
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Upgrade the MSVC 2008 DLLs (9.0.21022.8) to the
       MSVC 2013 DLLs (12.0.21005.1), which Win32 OpenSSL now requires.
     - Windows: Only bundle msvcr120.dll; The other 2 MSVC DLLs aren't
       needed by Win32 OpenSSL.
     - Windows: Update bundled Cygwin OpenSSL from 1.0.2a-1 to 1.0.2d-1, which
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Update bundled VcXsrv from 1.17.0.0-1 (X2Go/Arctica Build)
       to 1.17.0.0-3 (X2Go/Arctica Build)
       The differences relevant to X2Go are:
         + VcXsrv's bundled version of openssl was updated from 1.0.2a
           to 1.0.2d (fixes the multiple CVEs announced on 2015-06-11 and
           CVE-2015-1793 (announced on 2015-07-09).
         + Drop winmultiwindow.patch (Part of #883)
         + hw/xwin/glx: Don't create fbConfigs for un-accelerated
           pixelFormats
           This has the effect of disabling StaticColor under
           MultiWindow mode with -wgl (default) and -swrastwgl, and
           thus making X2Go sessions started from the Windows client
           able to be resumed on the client on a different OS or the
           client runing on Windows with different display settings.
           (Fixes: #696)
     - Linux: Fix desktop session icons (.desktop files) failing due to
       missing space between "x2goclient" and its 1st argument
       (e.g. "--session") (Fixes: #911)
 .
   [ Henning Heinold ]
   * New upstream release (4.0.5.0):
     - x2goclient.pro: simplify lrelease path preparing for different OS and
       cross compiling. Fixes: #901.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.0):
     - onmainwindow.{cpp,h}: fix multimonitor mode on Windows. Run VcXsrv on
       selected screen without decorations.